GET /virtualservice/{uuid}/apipathstats/

GET /virtualservice/{uuid}/apipathstats/

/virtualservice/{uuid}/apipathstats/

Request
URI
GET
https://{api_host}/api/virtualservice/{uuid}/apipathstats
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApiPathStats of type(s) application/json
{
    "flag_count": 0,
    "hits": 0,
    "node_obj_id": "string",
    "path_name": "string",
    "path_template": "string",
    "reject_count": 0,
    "responses_1xx": 0,
    "responses_2xx": 0,
    "responses_3xx": 0,
    "responses_400": 0,
    "responses_401": 0,
    "responses_403": 0,
    "responses_4xx": 0,
    "responses_5xx": 0,
    "validation_fail_count": 0,
    "validation_fail_count_location_path": 0,
    "validation_fail_count_location_path_failed_validation": 0,
    "validation_fail_count_location_query_args": 0,
    "validation_fail_count_location_query_args_failed_validation": 0,
    "validation_fail_count_location_query_args_missing": 0,
    "validation_fail_count_location_query_args_unexpected": 0,
    "validation_fail_count_location_request_body": 0,
    "validation_fail_count_location_request_body_failed_validation": 0,
    "validation_fail_count_location_request_body_missing": 0,
    "validation_fail_count_location_request_body_unexpected": 0,
    "validation_fail_count_location_request_content_type": 0,
    "validation_fail_count_location_request_header": 0,
    "validation_fail_count_location_request_header_failed_validation": 0,
    "validation_fail_count_location_request_header_missing": 0,
    "validation_fail_count_location_request_header_unexpected": 0,
    "validation_fail_count_location_response_content_type": 0,
    "validation_fail_count_location_response_status_code": 0,
    "validation_fail_count_unspecified": 0
}
integer As uint64 As uint64
flag_count
Optional

Requests flagged (but not rejected) by API Policy for this endpoint (counted once per request). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
hits
Optional

Total number of requests received for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
node_obj_id
Required  

Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
path_name
Optional

Name of the ApiPath object for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
path_template
Optional

Path template for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
reject_count
Optional

Requests rejected by API Policy for this endpoint (counted once per request). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
responses_1xx
Optional

Total number of 1XX responses for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
responses_2xx
Optional

Total number of 2XX responses for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
responses_3xx
Optional

Total number of 3XX responses for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
responses_400
Optional

Total number of 400 Bad Request responses for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
responses_401
Optional

Total number of 401 Unauthorized responses for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
responses_403
Optional

Total number of 403 Forbidden responses for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
responses_4xx
Optional

Total number of 4XX responses for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
responses_5xx
Optional

Total number of 5XX responses for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count
Optional

Total number of validation failures for this API endpoint. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_path
Optional

Total number of validation failures for this API endpoint with validation failure type location_path. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_path_failed_validation
Optional

Validation failures at path parameter location with type Failed Validation (INVALID_TYPE, VALUE_OUT_OF_RANGE, or FORMAT_MISMATCH). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_query_args
Optional

Total number of validation failures for this API endpoint with validation failure type location_query_args. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_query_args_failed_validation
Optional

Validation failures at query args location with type Failed Validation (INVALID_TYPE, VALUE_OUT_OF_RANGE, or FORMAT_MISMATCH). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_query_args_missing
Optional

Validation failures at query args location with type Missing Mandatory Query Argument (MISSING_REQUIRED_PROPERTY). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_query_args_unexpected
Optional

Validation failures at query args location with type Unexpected Query Argument (UNEXPECTED_ADDITIONAL_PROPERTY). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_request_body
Optional

Total number of validation failures for this API endpoint with validation failure type location_request_body. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_request_body_failed_validation
Optional

Validation failures at request body location with type Failed Validation (INVALID_TYPE, VALUE_OUT_OF_RANGE, or FORMAT_MISMATCH). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_request_body_missing
Optional

Validation failures at request body location with type Missing Mandatory Request Body Parameter (MISSING_REQUIRED_PROPERTY). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_request_body_unexpected
Optional

Validation failures at request body location with type Unexpected Request Body Parameter (UNEXPECTED_ADDITIONAL_PROPERTY). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_request_content_type
Optional

Total number of validation failures for this API endpoint with validation failure type location_request_content_type. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_request_header
Optional

Total number of validation failures for this API endpoint with validation failure type location_request_header. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_request_header_failed_validation
Optional

Validation failures at request header location with type Failed Validation (INVALID_TYPE, VALUE_OUT_OF_RANGE, or FORMAT_MISMATCH). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_request_header_missing
Optional

Validation failures at request header location with type Missing Mandatory Header Parameter (MISSING_REQUIRED_PROPERTY). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_request_header_unexpected
Optional

Validation failures at request header location with type Unexpected Header Parameter (UNEXPECTED_ADDITIONAL_PROPERTY). Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_response_content_type
Optional

Total number of validation failures for this API endpoint with validation failure type location_response_content_type. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_location_response_status_code
Optional

Total number of validation failures for this API endpoint with validation failure type location_response_status_code. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
validation_fail_count_unspecified
Optional

Total number of validation failures for this API endpoint with validation failure type V01. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/virtualservice/{uuid}/apipathstats
                
Virtual Service Operations
GET
GET /virtualservice
POST
POST /virtualservice
GET
GET /virtualservice/{uuid}
PUT
PUT /virtualservice/{uuid}
PATCH
PATCH /virtualservice/{uuid}
DELETE
DELETE /virtualservice/{uuid}
POST
POST /virtualservice/{uuid}/scaleout
POST
POST /virtualservice/{uuid}/scalein
POST
POST /virtualservice/{uuid}/migrate
POST
POST /virtualservice/{uuid}/switchover
POST
POST /virtualservice/clear
POST
POST /virtualservice/{uuid}/resync
POST
POST /virtualservice/{uuid}/rotatekeys
POST
POST /virtualservice/{uuid}/retryplacement
POST
POST /virtualservice/{uuid}/log-recommendation
POST
POST /virtualservice/{uuid}/apply-log-recommendation
GET
GET /virtualservice/{uuid}/runtime/
GET
GET /virtualservice/{uuid}/runtime/detail/
GET
GET /virtualservice/{uuid}/runtime/internal/
GET
GET /virtualservice/{uuid}/udpstat/
GET
GET /virtualservice/{uuid}/tcpstat/
GET
GET /virtualservice/{uuid}/sctpstat/
GET
GET /virtualservice/{uuid}/traffic_clone_stats/
GET
GET /virtualservice/{uuid}/dosstat/
GET
GET /virtualservice/{uuid}/connections/
GET
GET /virtualservice/{uuid}/httpconnections/
GET
GET /virtualservice/{uuid}/httpconnections/detail/
GET
GET /virtualservice/{uuid}/httpstats/
GET
GET /virtualservice/{uuid}/authstats/
GET
GET /virtualservice/{uuid}/learningstats/
GET
GET /virtualservice/{uuid}/httppolicyset/
GET
GET /virtualservice/{uuid}/httppolicysetstats/
GET
GET /virtualservice/{uuid}/dnspolicystats/
GET
GET /virtualservice/{uuid}/networksecuritypolicystats/
GET
GET /virtualservice/{uuid}/networksecuritypolicy/detail/
GET
GET /virtualservice/{uuid}/candidatesehostlist/
GET
GET /virtualservice/{uuid}/placement/
GET
GET /virtualservice/{uuid}/keyval/
GET
GET /virtualservice/{uuid}/keyvalsummary/
GET
GET /virtualservice/{uuid}/keyvalsummaryobjsync/
GET
GET /virtualservice/{uuid}/keyvaldispatch/
GET
GET /virtualservice/{uuid}/keyvalsession/
GET
GET /virtualservice/{uuid}/keyvalsessionsummary/
GET
GET /virtualservice/{uuid}/sslsessioncache/
GET
GET /virtualservice/{uuid}/vslogstats/
GET
GET /virtualservice/{uuid}/aggrvslogstats/
GET
GET /virtualservice/{uuid}/cltrack/
GET
GET /virtualservice/{uuid}/cltracksummary/
GET
GET /virtualservice/{uuid}/client/
GET
GET /virtualservice/{uuid}/clientsummary/
GET
GET /virtualservice/{uuid}/dnstable/
GET
GET /virtualservice/{uuid}/gslbservicedetail/
GET
GET /virtualservice/{uuid}/gslbserviceinternal/
GET
GET /virtualservice/{uuid}/gslbservicealgostat/
GET
GET /virtualservice/{uuid}/gslbservicehmonstat/
GET
GET /virtualservice/{uuid}/geolocationinfo/
GET
GET /virtualservice/{uuid}/geodbinternal/
GET
GET /virtualservice/{uuid}/gslbsiteinternal/
GET
GET /virtualservice/{uuid}/userdefineddatascriptcounters/
GET
GET /virtualservice/{uuid}/l4policysetstats/
GET
GET /virtualservice/{uuid}/sescaleoutstatus/
GET
GET /virtualservice/{uuid}/scaleoutstatus/
GET
GET /virtualservice/{uuid}/scaleoutstatus/detail/
GET
GET /virtualservice/{uuid}/ssopolicystats/
GET
GET /virtualservice/{uuid}/icapstats/
GET
GET /virtualservice/{uuid}/outofbandstats/
GET
GET /virtualservice/{uuid}/botstats/
GET
GET /virtualservice/{uuid}/csrfmetrics/
GET
GET /virtualservice/{uuid}/waapstats/
GET
GET /virtualservice/{uuid}/apipathstats/
GET
GET /virtualservice/{uuid}/waappathtree/
GET
GET /virtualservice/{uuid}/placement/summary/
GET
GET /virtualservice/{uuid}/placement/detail/
GET
GET /virtualservice/{uuid}/placement/status/
GET
GET /virtualservice/{uuid}/keyvalstats/
GET
GET /virtualservice/{uuid}/vhroutes/
GET
GET /virtualservice/{uuid}/overview/